Skip to main content
PATCH
Complete, drop, reopen or edit a to-do

Authorizations

Authorization
string
header
required

A dazie access token from dazie login or the OAuth 2.1 flow.

Path Parameters

id
integer
required

Body

application/json
status
enum<string>
Available options:
open,
done,
dropped
text
string
Required string length: 1 - 2000
dueDate
string<date> | null
Example:

"2026-10-29"

Response

OK

id
integer
required
text
string
required
status
enum<string>
required
Available options:
open,
done,
dropped
dueDate
string<date> | null
sourceCallId
integer | null
createdAt
string<date-time>